
// よく使う関数をまとめたjsファイルをインポート
// ext直下ではないjsファイルはimportFileでロードし使用することができる
importFile("lib/utils.js");

customizeMenu();

/**
* メニューをカスタマイズします。
*/
function customizeMenu()
{
    var menu = window.menu;
    var file = menu.file;

    var recentMenuItem = getRecentFileMenuItem();
    if(recentMenuItem == null) {
        alert("メニュー構成の探索に失敗しました。");
        return;
    }
    // 階層型メニューを構築
    var container = menu.createMenuContainer("テキスト形式");
    container.icon = "jp/carabiner/tarp/desktop/icons/page_white_text.png";
    container.tooltips = "ToolTip";
    file.insertBefore(container, recentMenuItem);
    
    var comp = menu.createSeparator();
    file.insertBefore(comp, recentMenuItem);
    
    comp = menu.createMenuItem("テキストファイルをインポート", importText);
    container.appendChild(comp);
    
    comp = menu.createMenuItem("テキストファイルをエクスポート", exportText);
    container.appendChild(comp);
}

/**
* テキストをインポートします。
* @param ev イベント。
*/
function importText(ev)
{
    var path = showOpenDialog();
    if(path == null) {
        return;
    }
    
    // ext/lib/treeeditor-text.jarのメソッドを呼び出し
    var node = Packages.jp.carabiner.treeeditor.plugin.text.TextFormatUtils.importText(document, path);
    document.set(path, node);
}

/**
* テキストをエクスポートします。
* @param ev イベント。
*/
function exportText(ev)
{
    var path = showSaveDialog();
    if(path == null) {
        return;
    }
    
    // ext/lib/treeeditor-text.jarのメソッドを呼び出し
    Packages.jp.carabiner.treeeditor.plugin.text.TextFormatUtils.exportText(document.rootNode, path);
}
